| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

Classes | Typedefs | Functions
Format

## Classes

class | boost::locale::basic_format< CharType >
| a printf like class that allows type-safe and locale aware message formatting More...

## Typedefs

typedef basic_format< char > | boost::locale::format
typedef basic_format< wchar_t > | boost::locale::wformat
typedef basic_format< char16_t > | boost::locale::u16format
typedef basic_format< char32_t > | boost::locale::u32format

## Functions

template<typename CharType >
std::basic_ostream< CharType > & | boost::locale::operator<< (std::basic_ostream< CharType > &out, basic_format< CharType > const &fmt)

## Detailed Description

This module provides printf like functionality integrated into iostreams and suitable for localization

## Typedef Documentation

typedef basic_format<char> boost::locale::format

Definition of char based format

Examples:
  calendar.cpp, and hello.cpp.

typedef basic_format<char16_t> boost::locale::u16format

Definition of char16_t based format

typedef basic_format<char32_t> boost::locale::u32format

Definition of char32_t based format

typedef basic_format<wchar_t> boost::locale::wformat

Definition of wchar_t based format

Examples:
  whello.cpp.

## Function Documentation

template<typename CharType >

std::basic_ostream<CharType>& boost::locale::operator<< | ( | std::basic_ostream< CharType > & | out,
|  | basic_format< CharType > const & | fmt
| ) |  |

Write formatted message to stream.

This operator actually causes actual text formatting. It uses the locale of out stream